import { motion } from "framer-motion";
import { useContext, useEffect } from "react";
import { PostDetailContext } from "../context/PostDetailContext";
import PostHeader from "../PostHeader/PostHeader";
import WriteHeader from "../PostHeader/Header";
import PostCommentEditor from "../PostCommentEditor";
import PostCommentList from "../PostCommentList";
import { useVisitor } from "@nice/client";
import { useAuth } from "@web/src/providers/auth-provider";
import { VisitType } from "@nice/common";

export default function PostDetailLayout() {
	const { post, user } = useContext(PostDetailContext);
	const { read } = useVisitor();

	useEffect(() => {
		if (post) {
			console.log("read");
			read.mutateAsync({
				data: {
					visitorId: user?.id || null,
					postId: post.id,
					type: VisitType.READED,
				},
			});
		}
	}, [post]);
	return (
		<div className="min-h-screen bg-gradient-to-b from-slate-50 to-slate-100 flex flex-col">
			<PostHeader></PostHeader>
			<PostCommentEditor></PostCommentEditor>
			<PostCommentList></PostCommentList>
		</div>
	);
}
