import { Prisma } from "@prisma/client";

export const postDetailSelect: Prisma.PostSelect = {
	id: true,
	type: true,
	title: true,
	state: true,
	content: true,
	views: true,
	likes: true,
	isPublic: true,
	resources: true,
	createdAt: true,
	updatedAt: true,

	terms: {
		select: { id: true, name: true },
	},
	authorId: true,
	author: {
		select: {
			id: true,
			showname: true,
			avatar: true,
			department: {
				select: {
					id: true,
					name: true,
				},
			},
		},
	},
	receivers: {
		select: {
			id: true,
			showname: true,
			avatar: true,
			department: {
				select: {
					id: true,
					name: true,
				},
			},
		},
	},
	meta: true,
};
